package com.android.demo.barcode;

import android.app.Activity;
import android.content.Context;
import android.view.View;
import android.view.inputmethod.InputMethodManager;

public class SoftInputUtils {

    public static void showSoftInput(Activity activity, View visible) {
        InputMethodManager inputMethodManager =
                (InputMethodManager) activity.getSystemService(Context.INPUT_METHOD_SERVICE);

        visible.requestFocus();
        if(inputMethodManager != null) {
            inputMethodManager.showSoftInput(visible, InputMethodManager.SHOW_IMPLICIT);
        }
//        inputMethodManager.toggleSoftInput(0, InputMethodManager.HIDE_NOT_ALWAYS);
    }

    public static void hideSoftInput(Activity activity) {
        InputMethodManager inputMethodManager =
                (InputMethodManager) activity.getSystemService(Context.INPUT_METHOD_SERVICE);
        if(inputMethodManager != null) {
            inputMethodManager.hideSoftInputFromWindow(
                    activity.getWindow().getDecorView().getWindowToken(), 0);
        }
    }
}